﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Edge.Core.Domain.FccStationInfo.Output
{
    /// <summary>
    /// 订单过滤条件输出
    /// </summary>
    public class OrderFilterOutput
    {
        /// <summary>
        /// 支付方式
        /// </summary>
        public List<PaymentType> payments { get; set; }

        /// <summary>
        /// 站点
        /// </summary>
        public string stations { get; set; }
    }

    public class PaymentType
    {
        /// <summary>
        /// 支付类型id
        /// </summary>
        public long id { get; set; }

        /// <summary>
        /// 支付类型名称
        /// </summary>
        public string paymentName { get; set; }
    }
}
