﻿namespace Edge.Core.Domain.FccTankInfo.Input
{
    public class AddTankInput
    {
        /// <summary>
        /// 关联的油站id
        /// </summary>
        public long StationId { get; set; }

        /// <summary>
        /// 油罐号
        /// </summary>
        public int Number { get; set; }

        /// <summary>
        /// 要关联的油品id
        /// </summary>
        public long OilId { get; set; }

        /// <summary>
        /// 要关联的油品名
        /// </summary>
        public string OilName { get; set; }

        /// <summary>
        /// 油罐容量
        /// </summary>
        public decimal Capacity { get; set; }

        public FccTankInfo ToComponent()
        {
            return new FccTankInfo()
            {
                StationId = StationId,
                Number = Number,
                OilId = OilId,
                OilName = OilName,
                Capacity = Capacity
            };
        }

    }
}
