﻿using Edge.Core.Domain.FccOrderInfo;
using Edge.Core.Domain.FccOrderInfo.Input;
using Edge.Core.Domain.FccOrderInfo.Output;

namespace FccLite.Web.Repositories.FccOrderInfo
{
    public interface IOrderInfoReposity
    {
        /// <summary>
        /// 分页查询订单
        /// </summary>
        /// <param name="orderInfoPageInput"></param>
        /// <returns></returns>
        Task<IEnumerable<OrderInfo>> GetPage(OrderInfoPageInput orderInfoPageInput);

        /// <summary>
        /// 过滤查询订单
        /// </summary>
        /// <param name="orderInfoPageInput"></param>
        /// <returns></returns>
        Task<IEnumerable<OrderInfo>> GetOrderFilter(OrderInfoPageInput orderInfoPageInput);
    }
}
