﻿namespace Edge.Core.Domain.FccOilInfo.Input
{
    public class OilInfoInput
    {
        /// <summary>
        /// id
        /// </summary>
        public long? Id { get; set; }

        /// <summary>
        /// 油品码
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 油品名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 单价
        /// </summary>
        public decimal Price { get; set; }

        public FccOilInfo ToComponent()
        {
            return new FccOilInfo()
            {
                Code = Code,
                Name = Name,
                Price = Price,
            };
        }
    }
}
