﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Edge.Core.Domain.FccOrderInfo.Input
{
    /// <summary>
    /// fcc 前端订单页面查询过滤对象
    /// </summary>
    public class OrderInfoPageInput
    {
        /// <summary>
        /// 页码
        /// </summary>
        public int page {  get; set; }

        /// <summary>
        /// 页数
        /// </summary>
        public int pageSize { get; set; }

        /// <summary>
        /// 油品名
        /// </summary>
        public string? oilName { get; set; }

        /// <summary>
        /// 枪号
        /// </summary>
        public int? nozzleNum { get; set; }

        /// <summary>
        /// 开始检索时间
        /// </summary>
        public DateTime? startCheckTime { get; set; }

        /// <summary>
        /// 介绍检索时间
        /// </summary>
        public DateTime? endCheckTime { get; set; }

        /// <summary>
        /// 支付类型
        /// </summary>
        public long? paymentType { get; set; }

        /// <summary>
        /// 手机号或支付用户名
        /// </summary>
        public string? phoneNumberOruserName { get; set; }
    }
}
