﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;
using System.Threading.Tasks;

namespace Edge.Core.Processor.Communicator
{
    public interface IClinet
    {
        /// <summary>
        /// 获取链接客户端
        /// </summary>
        /// <returns></returns>
        TcpClient? GetTcpClient();

        /// <summary>
        /// 获取连接的服务端端口
        /// </summary>
        /// <returns></returns>
        int GetServerPort();
    }
}
